# 元数据
site_name: MTTU 文档
site_author: passthem 和他的朋友们
site_description: 关于 MTTU 还有它的基础设施的文档
site_url: https://important-readme-please.mttu.passthem.top
repo_url: https://gitea.service.jazzwhom.top/mttu-developers/mttu-docs
repo_name: mttu-developers/mttu-docs
edit_uri: _edit/master/docs/

# 页面列表
nav:
  - 主页: index.md
  - 主群聊规则: rules.md
  - 传送锚点:
      - 关于「传送锚点」: links/links.md
      - MTTU 雾之湖校区: links/mttu-wzh.md
      - MTTU Discord 校区: links/mttu-discord.md
      - MTTU Matrix 校区: links/mttu-matrix.md
      - MTTU 成语接龙社: links/mttu-cyjl.md
      - 小帕游戏屋 (Oopz): links/pt-oopz.md
      - Ralmon 每日计数器: links/ralmon-discord.md
      - 蛋奶星星星球杯: links/mokie-kig.md
      - モノクロ荘: links/mono-group.md
  - MTTU 的活动与项目:
      - 此方 Bot: projects/konabot.md
      - 小帕置放场: projects/okiba.md
      - Minecraft 服务器: projects/minecraft.md
  - 更新日志:
      - blog/index.md

# 插件与扩展
markdown_extensions:
  - abbr
  - admonition
  - pymdownx.details
  - pymdownx.superfences
  - pymdownx.arithmatex
  - pymdownx.betterem
  - pymdownx.blocks.caption
  - pymdownx.caret
  - pymdownx.mark
  - pymdownx.tilde
  - pymdownx.highlight:
      anchor_linenums: true
  - pymdownx.tabbed:
      alternate_style: true
  - attr_list
  - md_in_html
plugins:
  - search
  - blog
  - git-revision-date-localized:
      enable_creation_date: true
  - rss

theme:
  name: material
  language: zh
  icon:
    repo: fontawesome/brands/git-alt
  features:
    - navigation.instant
    - navigation.instant.progress
    - navigation.tracking
    - navigation.tabs
    - navigation.tabs.sticky
    - search.suggest
    - search.highlight
    - content.action.edit
    - navigation.footer
  palette:
    - media: "(prefers-color-scheme)"
      primary: teal
      toggle:
        icon: material/brightness-auto
        name: 切换到亮色模式
    - media: "(prefers-color-scheme: light)"
      primary: teal
      scheme: default
      toggle:
        icon: material/brightness-7
        name: 切换到暗色模式
    - media: "(prefers-color-scheme: dark)"
      primary: teal
      scheme: slate
      toggle:
        icon: material/brightness-4
        name: 切换到系统偏好模式
